:root {
    --blue: #5e50f9;
    --indigo: #6610f2;
    --purple: #6a008a;
    --pink: #e91e63;
    --red: #f96868;
    --orange: #f2a654;
    --yellow: #f6e84e;
    --green: #46c35f;
    --teal: #58d8a3;
    --cyan: #57c7d4;
    --white: #ffffff;
    --gray: #6c757d;
    --gray-dark: #0f1531;
    --blue: #5e50f9;
    --indigo: #6610f2;
    --purple: #6a008a;
    --pink: #e91e63;
    --red: #f96868;
    --orange: #f2a654;
    --yellow: #f6e84e;
    --green: #46c35f;
    --teal: #58d8a3;
    --cyan: #57c7d4;
    --white: #ffffff;
    --gray: #434a54;
    --gray-light: #aab2bd;
    --gray-lighter: #e8eff4;
    --gray-lightest: #e6e9ed;
    --black: #000000;
    --primary: #4b49ac;
    --secondary: #a3a4a5;
    --success: #57b657;
    --info: #248afd;
    --warning: #ffc100;
    --danger: #ff4747;
    --light: #f8f9fa;
    --dark: #282f3a;
    --blue-900: #031633;
    --blue-800: #052c65;
    --blue-700: #084298;
    --blue-600: #0a58ca;
    --blue-500: #0d6efd;
    --blue-400: #3d8bfd;
    --blue-300: #6ea8fe;
    --blue-200: #9ec5fe;
    --blue-100: #cfe2ff;
    --gray-900: #212529;
    --gray-800: #343a40;
    --gray-700: #495057;
    --gray-600: #6c757d;
    --gray-500: #adb5bd;
    --gray-400: #ced4da;
    --gray-300: #dee2e6;
    --gray-200: #e9ecef;
    --gray-100: #f8f9fa;
    --white: #ffffff;
    --black: #000000;

    --trans-1: 0.2s all;
}

/* body */

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

main {
    flex: 1;
}

/* navbar */

.navbar {
    background-color: var(--white);
    z-index: 99;
}

.navbar h5 {
    color: var(--blue-800);
}

.navbar.scrolled {
    background-color: transparent;
    backdrop-filter: blur(10px);
}

.nav-logo {
    width: 2.8rem;
    height: 2.8rem;
    object-fit: contain;
}

.nav-profile {
    margin-left: 0.2rem;
}

.nav-profile img {
    width: 40px;
    height: 40px;
    border-radius: 100%;
}

.nav-profile.dropdown .dropdown-menu {
    outline: none;
    border: none;
    position: absolute;
    margin-top: 0.7rem;
}

.nav-profile.dropdown .dropdown-item {
    padding: 0.6rem 1.5rem;
}

.nav-profile.dropdown .dropdown-item i {
    margin-right: 0.5rem;
    font-size: 1rem;
}

.nav-item.nav-profile.dropdown .dropdown-toggle:after {
    display: none;
}

.navigation {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 70px;
    /* background: rgba(225, 225, 225, 0.3); */
    /* background-color: white;
    filter: blur(6px); */
    background-color: white;
    backdrop-filter: blur(10px);
    display: none;
    justify-content: center;
    align-items: center;
    border-radius: 10px 10px 0 0;
    z-index: 999;
}

.navigation ul {
    display: flex;
    width: 350px;
    padding: 0;
    margin: 0;
}

.navigation ul li {
    position: relative;
    width: 70px;
    height: 70px;
    list-style: none;
    z-index: 1;
}

.navigation ul li a {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
    text-align: center;
    font-weight: 500;
}

.navigation ul li a .icon {
    position: relative;
    display: block;
    line-height: 75px;
    font-size: 1.5em;
    text-align: center;
    color: var(--blue-500);
    transition: 0.5s;
}

.navigation ul li.active a .icon {
    color: var(--white);
    transform: translateY(-38px);
}

.navigation ul li a .text {
    position: absolute;
    color: var(--blue-500);
    font-weight: 400;
    font-size: 0.75em;
    letter-spacing: 0.05em;
    opacity: 0;
    transform: translateY(20px);
    transition: 0.5s;
}

.navigation ul li.active a .text {
    color: var(--blue-500);
    opacity: 1;
    transform: translateY(10px);
}

/* .navigation ul li a .circle {
    position: absolute;
    display: block;
    width: 50px;
    height: 50px;
    background: transparent;
    border-radius: 50%;
    border: 1.8px solid #fff;
    transform: translateY(-38px) scale(0);
}

.navigation ul li.active a .circle {
    transition: 0.5s;
    transition-delay: 0.5s;
    transform: translateY(-38px) scale(1);
} */

.indicator {
    position: absolute;
    top: -50%;
    width: 70px;
    height: 70px;
    background: var(--blue-500);
    border: 6px solid white;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.5s;
}

/* .indicator::before {
    content: "";
    position: absolute;
    top: 50%;
    left: -22px;
    width: 20px;
    height: 20px;
    background: transparent;
    border-top-right-radius: 20px;
    box-shadow: 1px -10px 0 white;
}

.indicator::after {
    content: "";
    position: absolute;
    top: 50%;
    right: -22px;
    width: 20px;
    height: 20px;
    background: transparent;
    border-top-left-radius: 20px;
    box-shadow: -1px -10px 0 white;
} */

.navigation ul li:nth-child(1).active ~ .indicator {
    transform: translateX(calc(70px * 0));
}

.navigation ul li:nth-child(2).active ~ .indicator {
    transform: translateX(calc(70px * 1));
}

.navigation ul li:nth-child(3).active ~ .indicator {
    transform: translateX(calc(70px * 2));
}

.navigation ul li:nth-child(4).active ~ .indicator {
    transform: translateX(calc(70px * 3));
}

.navigation ul li:nth-child(5).active ~ .indicator {
    transform: translateX(calc(70px * 4));
}

.tooltip {
    z-index: 995 !important;
}

/* main */

main {
    flex: 1;
}

/* footer */

footer {
    background-color: var(--blue-800);
}

footer p {
    font-size: 0.9rem;
}

/* carousel */

.carousel {
    height: 100%;
}

.carousel-custom {
    height: 100vh;
}

.carousel-image {
    height: 30rem;
}

/* hedaing + paragraph */

.title-h1 {
    font-size: 4rem;
    color: var(--blue-500);
}

.title-h2 {
    font-size: 2rem;
}

.title-h3 {
    font-size: 1.2rem;
}

.title-h4 {
    color: var(--blue-900);
}

.description-p {
    font-size: 1rem;
}

/* accordion */

.accordion {
    background-color: transparent;
    border-radius: 0.35rem !important;
}

.accordion-body img {
    width: 60%;
}

.accordian-donasi tr td {
    padding: 0.5rem 0;
}

.accordian-donasi tr td:first-child {
    padding-right: 0.5rem;
    font-size: 0.95rem;
    font-weight: 500;
}

.accordian-donasi tr td:last-child p:first-child {
    font-weight: 500;
}

.accordion-button:not(.collapsed) {
    background-color: var(--blue-800);
    border-radius: 0.35rem !important;
}

.accordion-button:not(.collapsed) h6 {
    color: var(--white);
}

.accordion-button:not(.collapsed) .accordion-logo {
    background-color: var(--white);
    padding: 0.5rem;
}

.accordion-button {
    color: var(--blue-800);
    border-radius: 0.35rem !important;
}

.accordion-button:not(.collapsed)::after {
    background-image: none;
}

.accordion-button::after {
    display: flex;
    justify-content: center;
    align-items: center;
    content: "\2212";
    color: var(--blue-800);
    font-size: 1.5em;
}

.accordion-button:not(.collapsed)::after {
    display: flex;
    justify-content: center;
    align-items: center;
    content: "\002b";
    color: var(--white);
    font-size: 1.5em;
}

.accordion-button::after {
    background-image: none;
}

.accordion-button:not(.collapsed) {
    color: var(--white);
}

/* select */

.form-control-custom {
    color: var(--bs-body-color);
    -webkit-appearance: auto;
    -moz-appearance: auto;
    appearance: auto;
}

input[type="file"]::file-selector-button {
    height: 100%;
    margin-right: 20px;
    border: none;
    background: #052c65;
    color: white;
    padding: 10px 20px;
    border-radius: 10px 10px 10px 10px;
    cursor: pointer;
    transition: backgound 0.2s ease-in-out;
}

input[type="file"]::file-selector-button:hover {
    color: white;
    background: #084298;
}

input[type="file"]::file-selector-button:focus {
    color: white;
    background-color: #084298;
    box-shadow: 0 0 0 0.2rem rgba(10, 88, 202, 0.5);
}

label.disabled {
    color: var(--gray-500);
}

/* filter container */

.filter-container h2 {
    color: var(--blue-900);
}

.filter-container span {
    color: var(--blue-500);
}

.filter-box .filter {
    background-color: var(--white);
}

.filter-box h3 {
    color: var(--white);
}

/* login container */

.login-container {
    height: 100vh;
}

.login-box {
    width: 23rem;
}

.logo-sier {
    width: 8rem !important;
    height: 8rem !important;
    object-fit: contain;
}

/* table */

.table th,
.jsgrid .jsgrid-table th,
.table td,
.jsgrid .jsgrid-table td {
    vertical-align: middle;
    line-height: 1.5;
    white-space: wrap;
}

/* grid */

.grid-detail-tiket {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-areas: "detail-1 detail-2";
}

.custom-td {
    min-width: 10rem;
}

/* datatables */

.dataTables_wrapper .dataTables_processing {
    margin: 0;
    padding: 0;
    font-size: 0.8rem;
    background-color: var(--gray-100);
    /* color: white; */
    width: 10rem;
    height: 2.8rem;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.15) !important;
}

.btn-custom-width {
    width: 14rem;
}

.btn-filter {
    width: auto;
}

/* datatables */

.pagination .page-item.active .page-link,
.jsgrid .jsgrid-pager .page-item.active .page-link,
.jsgrid .jsgrid-pager .active.jsgrid-pager-nav-button .page-link,
.jsgrid .jsgrid-pager .active.jsgrid-pager-page .page-link,
.pagination .page-item.active .jsgrid .jsgrid-pager .jsgrid-pager-nav-button a,
.jsgrid .jsgrid-pager .page-item.active .jsgrid-pager-nav-button a,
.jsgrid .jsgrid-pager .jsgrid-pager-nav-button .page-item.active a,
.jsgrid .jsgrid-pager .active.jsgrid-pager-nav-button a,
.pagination .page-item.active .jsgrid .jsgrid-pager .jsgrid-pager-page a,
.jsgrid .jsgrid-pager .page-item.active .jsgrid-pager-page a,
.jsgrid .jsgrid-pager .jsgrid-pager-page .page-item.active a,
.jsgrid .jsgrid-pager .active.jsgrid-pager-page a,
.pagination .page-item:hover .page-link,
.jsgrid .jsgrid-pager .page-item:hover .page-link,
.jsgrid .jsgrid-pager .jsgrid-pager-nav-button:hover .page-link,
.jsgrid .jsgrid-pager .jsgrid-pager-page:hover .page-link,
.pagination .page-item:hover .jsgrid .jsgrid-pager .jsgrid-pager-nav-button a,
.jsgrid .jsgrid-pager .page-item:hover .jsgrid-pager-nav-button a,
.jsgrid .jsgrid-pager .jsgrid-pager-nav-button .page-item:hover a,
.jsgrid .jsgrid-pager .jsgrid-pager-nav-button:hover a,
.pagination .page-item:hover .jsgrid .jsgrid-pager .jsgrid-pager-page a,
.jsgrid .jsgrid-pager .page-item:hover .jsgrid-pager-page a,
.jsgrid .jsgrid-pager .jsgrid-pager-page .page-item:hover a,
.jsgrid .jsgrid-pager .jsgrid-pager-page:hover a,
.pagination .page-item:focus .page-link,
.jsgrid .jsgrid-pager .page-item:focus .page-link,
.jsgrid .jsgrid-pager .jsgrid-pager-nav-button:focus .page-link,
.jsgrid .jsgrid-pager .jsgrid-pager-page:focus .page-link,
.pagination .page-item:focus .jsgrid .jsgrid-pager .jsgrid-pager-nav-button a,
.jsgrid .jsgrid-pager .page-item:focus .jsgrid-pager-nav-button a,
.jsgrid .jsgrid-pager .jsgrid-pager-nav-button .page-item:focus a,
.jsgrid .jsgrid-pager .jsgrid-pager-nav-button:focus a,
.pagination .page-item:focus .jsgrid .jsgrid-pager .jsgrid-pager-page a,
.jsgrid .jsgrid-pager .page-item:focus .jsgrid-pager-page a,
.jsgrid .jsgrid-pager .jsgrid-pager-page .page-item:focus a,
.jsgrid .jsgrid-pager .jsgrid-pager-page:focus a,
.pagination .page-item:active .page-link,
.jsgrid .jsgrid-pager .page-item:active .page-link,
.jsgrid .jsgrid-pager .jsgrid-pager-nav-button:active .page-link,
.jsgrid .jsgrid-pager .jsgrid-pager-page:active .page-link,
.pagination .page-item:active .jsgrid .jsgrid-pager .jsgrid-pager-nav-button a,
.jsgrid .jsgrid-pager .page-item:active .jsgrid-pager-nav-button a,
.jsgrid .jsgrid-pager .jsgrid-pager-nav-button .page-item:active a,
.jsgrid .jsgrid-pager .jsgrid-pager-nav-button:active a,
.pagination .page-item:active .jsgrid .jsgrid-pager .jsgrid-pager-page a,
.jsgrid .jsgrid-pager .page-item:active .jsgrid-pager-page a,
.jsgrid .jsgrid-pager .jsgrid-pager-page .page-item:active a,
.jsgrid .jsgrid-pager .jsgrid-pager-page:active a {
    color: var(--white);
    background-color: var(--blue-800);
    border-color: var(--blue-800);
}

/* hero 1 container */

.hero-1-container {
    width: 100%;
    height: 30vh;
    background-size: cover;
    background-position: center;
}

.hero-title {
    backdrop-filter: blur(6px);
    color: var(--blue-900);
}

.stroked-white {
    text-shadow: -1px -1px 0 #fff, 1px -1px 0 #fff, -1px 1px 0 #fff,
        1px 1px 0 #fff;
}

/* room */

.room-container {
    height: 100vh;
}

.building-image {
    margin-top: 5rem;
    width: 32rem;
    position: relative;
}

.vehicle-image {
    margin-top: 5rem;
    width: 42rem;
}

.vehicle-image-2 {
    display: none;
}

/* carousel */

.carousel-custom-2 {
    height: 30rem;
}

.carousel-custom-2 .carousel-item img {
    height: 30rem;
    object-fit: cover;
    object-position: center;
}

/* detail-room */

.detail-room-info {
    color: var(--blue-500);
}

.detail-room-info span {
    color: var(--blue-800);
}

/* swiper */

.slider-container {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

.slider {
    height: 100%;
    display: flex;
    flex-direction: column;
    transition: transform 0.5s ease;
}

.slider h2 {
    color: var(--blue-500);
}

.slider-slide {
    min-height: 100vh;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    color: #fff;
}

.navigation-slider {
    width: 100%;
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    justify-content: center;
    gap: 0.5rem;
    width: 100px;
    background-color: transparent;
}

.slider-slide img {
    width: 35rem;
}

.modal-view-room img {
    width: 20rem;
}

/* card */

.card-book-room img {
    height: 9rem;
    object-fit: cover;
    object-position: center;
}

/* step */
.step-wizard {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.step-wizard-list {
    background: transparent;
    /* width: 15rem; */
    color: #333;
    list-style-type: none;
    border-radius: 10px;
    display: flex;
    position: relative;
    z-index: 10;
    padding-left: 0;
}

.step-wizard-item {
    padding: 0 10px;
    flex-basis: 0;
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
    max-width: 100%;
    display: flex;
    flex-direction: column;
    text-align: center;
    min-width: 170px;
    position: relative;
}

.step-wizard-custom {
    min-width: 110px !important;
}

.step-wizard-item + .step-wizard-item:after {
    content: "";
    position: absolute;
    left: 0;
    top: 11px;
    background: var(--blue-500);
    width: 100%;
    height: 2px;
    transform: translateX(-50%);
    z-index: -10;
}

.step-wizard-item.failed + .step-wizard-item:after,
.step-wizard-item.failed:after {
    content: "";
    position: absolute;
    left: 0;
    top: 11px;
    background: var(--red);
    width: 100%;
    height: 2px;
    transform: translateX(-50%);
    z-index: -9;
}

.progress-count {
    font-size: 0.8rem;
    font-weight: 600;
    padding-top: 2px;
    padding-left: 1px;
    height: 25px;
    width: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    margin: 0 auto;
    position: relative;
    z-index: 10;
    color: transparent;
}

.progress-count:after {
    content: "";
    height: 25px;
    width: 25px;
    background: var(--blue-500);
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    z-index: -10;
}

.progress-count:before {
    content: "";
    height: 5px;
    width: 10px;
    border-left: 2px solid #fff;
    border-bottom: 2px solid #fff;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -60%) rotate(-45deg);
    transform-origin: center center;
}

.progress-failed {
    font-size: 0.8rem;
    font-weight: 600;
    padding-top: 2px;
    padding-left: 1px;
    height: 25px;
    width: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    margin: 0 auto;
    position: relative;
    z-index: 10;
    color: transparent;
}

.progress-failed:after {
    content: "";
    height: 25px;
    width: 25px;
    background: var(--red);
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    z-index: -10;
}

.progress-failed:before {
    content: "x";
    height: 100%;
    width: 100%;
    font-size: 1rem;
    color: var(--white);
    position: absolute;
    top: -2px;
}

.progress-label {
    margin-top: 5px;
}

.current-item .progress-count:before,
.current-item ~ .step-wizard-item .progress-count:before {
    display: none;
}

.current-item ~ .step-wizard-item .progress-count:after {
    height: 10px;
    width: 10px;
}

.current-item ~ .step-wizard-item .progress-label {
    opacity: 0.5;
}

.current-item .progress-count:after {
    background: #fff;
    border: 2px solid var(--blue-500);
}

.current-item .progress-count {
    color: var(--blue-500);
}

/* success image */

.success-image {
    width: 50%;
}

.failed-image {
    width: 40%;
}

/* flat picker */

.flatpickr-calendar {
    box-shadow: none;
    border: 1px solid var(--gray-200);
    z-index: 90 !important;
}

.flatpickr-months .flatpickr-month {
    background: var(--blue-500);
    color: var(--white);
    border-radius: 4px 4px 0 0;
    padding-top: 1.5rem;
    padding-bottom: 1rem;
    display: flex;
    align-items: center;
}

.flatpickr-current-month .flatpickr-monthDropdown-months {
    background-color: transparent;
}

.flatpickr-current-month
    .flatpickr-monthDropdown-months
    .flatpickr-monthDropdown-month {
    font-size: 14px;
    color: var(--gray-800);
    background-color: var(--gray-100);
}

.flatpickr-weekdays {
    background: var(--blue-500);
    margin-bottom: 0.3rem;
    padding-top: 1rem;
    padding-bottom: 1.5rem;
}

span.flatpickr-weekday {
    color: var(--white);
    font-weight: 500;
    background-color: transparent;
}

.flatpickr-calendar.arrowTop:before {
    border-bottom-color: var(--white);
}

.flatpickr-calendar.arrowTop:after {
    border-bottom-color: var(--blue-500);
}

.flatpickr-calendar.arrowBottom:before {
    border-top-color: var(--gray-300);
}

.flatpickr-calendar.arrowBottom::after {
    border-top-color: var(--white);
}

.flatpickr-day.prevMonthDay.flatpickr-disabled,
.flatpickr-day.prevMonthDay.flatpickr-disabled:hover {
    color: var(--gray-300);
    cursor: not-allowed;
}

.flatpickr-day.nextMonthDay.flatpickr-disabled,
.flatpickr-day.nextMonthDay.flatpickr-disabled:hover {
    color: var(--gray-300);
    cursor: not-allowed;
    background-color: transparent;
}

.flatpickr-day.flatpickr-disabled,
.flatpickr-day.flatpickr-disabled:hover {
    color: var(--gray-300);
    cursor: not-allowed;
}

.flatpickr-day.today {
    border: 1px solid var(--blue-500);
    transition: all 0.2s ease;
}

.flatpickr-day.today:hover {
    border: 1px solid var(--blue-500);
    color: var(--white);
    background-color: var(--blue-500);
}

.flatpickr-day.today.flatpickr-disabled,
.flatpickr-day.today.flatpickr-disabled:hover {
    color: var(--gray-300);
    border: 1px solid var(--blue-500);
    background-color: transparent;
}

.flatpickr-day {
    color: var(--blue-800);
    border: none;
    transition: all 0.2s ease;
}

.flatpicker-day.inRange {
    background-color: var(--gray-400);
    color: var(--white);
}

.flatpickr-day.startRange,
.flatpickr-day.endRange,
.flatpickr-day.prevMonthDay.startRange,
.flatpickr-day.nextMonthDay.startRange,
.flatpickr-day.prevMonthDay.endRange,
.flatpickr-day.nextMonthDay.endRange,
.flatpickr-day.today.startRange,
.flatpickr-day.today.endRange,
.flatpickr-day.selected.startRange,
.flatpickr-day.selected.selected.endRange,
.flatpickr-day.selected.prevMonthDay.startRange,
.flatpickr-day.selected.nextMonthDay.startRange,
.flatpickr-day.selected.prevMonthDay.endRange,
.flatpickr-day.selected.nextMonthDay.endRange,
.flatpickr-day.selected.today.startRange,
.flatpickr-day.selected.today.endRange,
.flatpickr-day.startRange:hover,
.flatpickr-day.endRange:hover,
.flatpickr-day.prevMonthDay.startRange:hover,
.flatpickr-day.nextMonthDay.startRange:hover,
.flatpickr-day.prevMonthDay.endRange:hover,
.flatpickr-day.nextMonthDay.endRange:hover,
.flatpickr-day.today.startRange:hover,
.flatpickr-day.today.endRange:hover {
    background: var(--blue-500);
}

.flatpickr-day.inRange,
.flatpickr-day.prevMonthDay.inRange,
.flatpickr-day.nextMonthDay.inRange,
.flatpickr-day.today.inRange,
.flatpickr-day.prevMonthDay.today.inRange,
.flatpickr-day.nextMonthDay.today.inRange {
    cursor: pointer;
    outline: 0;
    background: var(--blue-300);
    border-color: none;
    color: white;
}

.flatpickr-day.inRange {
    border-radius: 0;
    -webkit-box-shadow: -5px 0 0 var(--blue-300), 5px 0 0 var(--blue-300);
}

.flatpickr-day.startRange.startRange + .endRange:not(:nth-child(7n + 1)),
.flatpickr-day.endRange.startRange + .endRange:not(:nth-child(7n + 1)) {
    -webkit-box-shadow: -5px 0 0 var(--blue-300), 0 0 0 var(--blue-300);
}

.flatpickr-day.inRange::before,
.flatpickr-day.prevMonthDay.inRange::before,
.flatpickr-day.nextMonthDay.inRange::before,
.flatpickr-day.today.inRange::before,
.flatpickr-day.prevMonthDay.today.inRange::before,
.flatpickr-day.nextMonthDay.today.inRange::before {
    background: var(--blue-300);
}

.flatpickr-day:hover {
    background-color: var(--blue-500);
    background: var(--blue-500);
    color: var(--white);
    border: none;
}

/* .flatpickr-day.inRange, .flatpickr-day.prevMonthDay.inRange, .flatpickr-day.nextMonthDay.inRange, .flatpickr-day.today.inRange, .flatpickr-day.prevMonthDay.today.inRange, .flatpickr-day.nextMonthDay.today.inRange, .flatpickr-day:hover, .flatpickr-day.prevMonthDay:hover, .flatpickr-day.nextMonthDay:hover, .flatpickr-day:focus, .flatpickr-day.prevMonthDay:focus, .flatpickr-day.nextMonthDay:focus {
    cursor: pointer;
    outline: 0;
    background: var(--blue-500);
    border-color: var(--blue-500);
} */

.flatpickr-day.selected {
    background-color: var(--blue-500);
    color: var(--white);
    border: none;
}

.flatpickr-day.nextMonthDay {
    color: var(--blue-600);
    border: none;
    transition: all 0.2s ease;
}

.flatpickr-day.nextMonthDay:hover {
    background-color: var(--blue-500);
    color: var(--white);
    border: none;
}

.flatpickr-day.nextMonthDay.selected {
    background-color: var(--blue-500);
    color: var(--white);
    border: none;
}

.flatpickr-innerContainer {
    background-color: white;
    padding-bottom: 0.3rem;
}

/* input icon */

.input-icon {
    position: relative;
}

.input-icon i {
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%);
    color: var(--blue-500);
}

/* starts */

.stars-wrapper {
    width: 100%;
}
.stars label {
    font-size: 1.5rem;
    margin: 0 3px;
    color: #ccc;
}
#star-1:hover ~ .content .stars .star-1,
#star-1:checked ~ .content .stars .star-1,
#star-2:hover ~ .content .stars .star-1,
#star-2:hover ~ .content .stars .star-2,
#star-2:checked ~ .content .stars .star-1,
#star-2:checked ~ .content .stars .star-2,
#star-3:hover ~ .content .stars .star-1,
#star-3:hover ~ .content .stars .star-2,
#star-3:hover ~ .content .stars .star-3,
#star-3:checked ~ .content .stars .star-1,
#star-3:checked ~ .content .stars .star-2,
#star-3:checked ~ .content .stars .star-3,
#star-4:hover ~ .content .stars .star-1,
#star-4:hover ~ .content .stars .star-2,
#star-4:hover ~ .content .stars .star-3,
#star-4:hover ~ .content .stars .star-4,
#star-4:checked ~ .content .stars .star-1,
#star-4:checked ~ .content .stars .star-2,
#star-4:checked ~ .content .stars .star-3,
#star-4:checked ~ .content .stars .star-4,
#star-5:hover ~ .content .stars .star-1,
#star-5:hover ~ .content .stars .star-2,
#star-5:hover ~ .content .stars .star-3,
#star-5:hover ~ .content .stars .star-4,
#star-5:hover ~ .content .stars .star-5,
#star-5:checked ~ .content .stars .star-1,
#star-5:checked ~ .content .stars .star-2,
#star-5:checked ~ .content .stars .star-3,
#star-5:checked ~ .content .stars .star-4,
#star-5:checked ~ .content .stars .star-5 {
    color: #fd4;
}
.radio-starts {
    position: absolute;
    opacity: 0;
    width: 1px;
    height: 1px;
    margin: 0;
    pointer-events: none;
}
#star-6:hover ~ .content .stars .star-6,
#star-6:checked ~ .content .stars .star-6,
#star-7:hover ~ .content .stars .star-6,
#star-7:hover ~ .content .stars .star-7,
#star-7:checked ~ .content .stars .star-6,
#star-7:checked ~ .content .stars .star-7,
#star-8:hover ~ .content .stars .star-6,
#star-8:hover ~ .content .stars .star-7,
#star-8:hover ~ .content .stars .star-8,
#star-8:checked ~ .content .stars .star-6,
#star-8:checked ~ .content .stars .star-7,
#star-8:checked ~ .content .stars .star-8,
#star-9:hover ~ .content .stars .star-6,
#star-9:hover ~ .content .stars .star-7,
#star-9:hover ~ .content .stars .star-8,
#star-9:hover ~ .content .stars .star-9,
#star-9:checked ~ .content .stars .star-6,
#star-9:checked ~ .content .stars .star-7,
#star-9:checked ~ .content .stars .star-8,
#star-9:checked ~ .content .stars .star-9,
#star-10:hover ~ .content .stars .star-6,
#star-10:hover ~ .content .stars .star-7,
#star-10:hover ~ .content .stars .star-8,
#star-10:hover ~ .content .stars .star-9,
#star-10:hover ~ .content .stars .star-10,
#star-10:checked ~ .content .stars .star-6,
#star-10:checked ~ .content .stars .star-7,
#star-10:checked ~ .content .stars .star-8,
#star-10:checked ~ .content .stars .star-9,
#star-10:checked ~ .content .stars .star-10 {
    color: #fd4;
}

/* notification box */

.notification-box {
    width: 100%;
    max-height: 20rem;
    overflow-y: auto;
}

.bg-blue-opacity {
    background-color: rgba(13, 110, 253, 0.4);
}

.dropdown-notification {
    padding-bottom: 18px;
}

.navbar .navbar-menu-wrapper {
    background: transparent;
    padding-right: 0;
    padding-left: 0;
    width: 0;
    height: 0;
}

.navbar .navbar-menu-wrapper .navbar-nav .nav-item.dropdown .navbar-dropdown {
    top: 47px;
}

/* swal */

/* .swal2-modal .swal2-icon,
.swal2-modal .swal2-success-ring {
    margin-top: 42px;
    margin-bottom: 0;
} */

/* step */

.form-step-2 {
    display: none;
}

.form-step-1 {
    display: none;
}

.active-step {
    display: block;
}

.is-invalid {
    border-color: #dc3545;
    box-shadow: 0 0 0 0.25rem rgba(220, 53, 69, 0.25);
}

select.select-transparent,
select.select-transparent:focus {
    width: 25%;
    /* background-color: transparent;
    backdrop-filter: blur(6px);
    position: absolute;
    right: 10px;
    top: 10px;
    z-index: 10;
    color: var(--white) !important; */
}

.form-check
    .form-check-label
    input[type="checkbox"]
    + .input-helper.input-helper-custom:before {
    margin-top: 12px;
}

.form-check
    .form-check-label
    input[type="checkbox"]
    + .input-helper.input-helper-custom:after {
    margin-top: 12px;
}

.form-add-chair {
    width: 8rem;
}

/* .row > * {
    padding-right: 0.5rem;
    padding-left: 0.5rem;
} */

.sim-box {
    height: 20rem;
    overflow-y: auto;
    background-color: #1a202c;
}

.sim-box img {
    margin: 0 auto;
    height: 100%;
    width: 80%;
}

@media screen and (max-width: 992px) {
    .carousel {
        margin-top: 7rem;
    }

    .carousel-custom {
        height: 100%;
    }

    .login-container .login-image {
        order: 2;
    }

    .login-container .login-box {
        order: 1;
    }

    .hero-1-container {
        height: 20vh;
    }

    .building-image {
        width: 45rem;
        margin-top: 8rem;
    }

    .card-book-room img {
        height: 11rem;
    }

    .grid-detail-tiket {
        grid-template-columns: 1fr;
        grid-template-areas:
            "detail-1"
            "detail-2";
    }

    .custom-td {
        min-width: 8rem;
    }

    .success-image {
        width: 90%;
    }

    .failed-image {
        width: 70%;
    }

    .navbar
        .navbar-menu-wrapper
        .navbar-nav
        .nav-item.dropdown
        .navbar-dropdown {
        left: 0;
        right: 0;
        width: 50%;
        margin: 0 auto;
        margin-top: 1.2rem;
    }

    .accordion-body img {
        width: 75%;
    }
}

@media screen and (max-width: 576px) {
    .carousel-image {
        height: 22rem;
    }

    .title-h1 {
        font-size: 2.6rem;
    }

    .title-h2 {
        font-size: 1.6rem;
    }

    .table-responsive .row {
        gap: 0.5rem;
    }

    .hero-1-container {
        height: 30vh;
    }

    .building-image {
        width: 20rem;
        margin-top: 4rem;
    }

    .vehicle-image {
        display: none;
    }

    .vehicle-image-2 {
        display: block;
        margin-top: 4rem;
        width: 20rem;
    }

    .slider-slide img {
        width: 20rem;
    }

    .carousel-custom-2 {
        height: 12rem;
    }

    .carousel-custom-2 .carousel-item img {
        height: 12rem;
        object-fit: cover;
        object-position: center;
    }

    .step-wizard-item {
        min-width: 120px;
    }

    .step-wizard-custom {
        min-width: 70px !important;
    }

    .custom-td {
        min-width: 7rem;
    }

    .btn-filter {
        width: 100%;
    }

    .input-icon {
        width: 100%;
    }

    .filter-detail {
        width: 100%;
    }

    .success-image {
        width: 100%;
    }

    .failed-image {
        width: 80%;
    }

    .navbar
        .navbar-menu-wrapper
        .navbar-nav
        .nav-item.dropdown
        .navbar-dropdown {
        left: 20px;
        right: 20px;
        width: calc(100% - 40px);
        margin-top: 1.2rem;
    }

    select.select-transparent,
    select.select-transparent:focus {
        width: 50%;
    }

    .navigation {
        display: flex;
    }

    .accordion-body img {
        width: 100%;
    }
}

@media screen and (max-width: 390px) {
}

@media screen and (max-width: 375px) {
}

@media screen and (max-width: 360px) {
    .carousel-image {
        height: 18rem;
    }

    .step-wizard-item {
        min-width: 110px;
    }
}

@media screen and (max-width: 320px) {
    .carousel-image {
        height: 16rem;
    }

    .step-wizard-item {
        min-width: 100px;
    }

    .vehicle-image-2 {
        width: 16rem;
    }
}

.message-box {
    max-height: 20rem;
    height: auto;
    overflow-y: auto;
    width: 100%;
    background-color: var(--gray-400);
}

.message-box .message-help {
    margin-top: 0.5rem;
}

.message-box .message-help:first-child {
    margin-top: 0;
}

.message-box img {
    width: 2rem;
    height: 2rem;
    border-radius: 50%;
}

.message-box .massage-buble {
    width: 100%;
    background: var(--gray-200);
    border-radius: 0.5rem;
}

.message-box .massage-buble span {
    width: 100%;
    font-size: 0.6rem;
    font-weight: 400;
    text-align: end;
}

.hide-filepond-remove-button .filepond--action-remove-item {
    display: none !important;
}
